The Attachment Filter Plug-In

About the Attachment Quarantine Plug-In

The Attachment Quarantine plug-in checks the file attachments of e-mail arriving to your computer. With this plug-in, you can specify that attached files are to be renamed so they cannot harm your computer as well as to alert you with appropriate messages. Different modes of file checking can be set in this plug-in according to the file type of each attachment.

The following topics describe how to set-up the Attachment Quarantine plug-in:

Viewing The Attachment Quarantine Log

Creating new rules for incoming attachments

Modifying Attachment Quarantine Rules

Removing a rule for incoming attachments

Resetting Attachment Quarantine Rules


Viewing the Attachment Filter Log

Viewing the Attachment Quarantine Log

To view the Attachment Quarantine log:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall

  3. Highlight Attachment Quarantine in the Plug-Ins tree.

  4. Now you will be able to view stats for the attachments that have been renamed by the Attachment Quarantine plug-in.

  5. Press the Show Detailed Log button on the plug-in information panel.

  6. Outpost Log Viewer will be run displaying the log for the Attachment Quarantine plug-in log.

For more information about the Outpost log system, please read The Outpost Log System chapter.

Related Topics

Creating new rules for incoming attachments

Modifying Attachment Quarantine Rules

Removing a rule for incoming attachments


Creating New Rules for Incoming Attachments

To create a rule for a new type of attachment:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Attachment Quarantine

  4. Click Settings

  5. Click New

  6. Enter the attachment extensions in the Specify file type field

  7. If necessary, modify Description field

  8. Click OK

  9. Highlight the rule you have created

  10. Select the action you want to be performed on these attachments when they will be received

    • Rename it—if you want to rename attachment so that it cannot harm your computer

    • Report it—if you want to be alerted with a message box when an attachment is received.

  11. Press OK.

Note

You can quickly access the plug-in's properties by right-clicking its name in the left panel of Outpost Firewall's main window.

Related Topics

Viewing The Attachment Quarantine Log

Modifying Attachment Quarantine Rules

Removing a rule for incoming attachments


Modifying Attachment Filter Rules

To modify a rule for incoming attachments:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Attachment Quarantine

  4. Click Settings

  5. Highlight the rule you want to modify

  6. Select the new action you want to be performed on these attachments when they will be received

    • Rename it—if you want to rename an attachment so that it cannot harm your computer

    • Report it—if you want to be alerted with a message box when an attachment is received.

  7. Press OK.

Note

You can quickly access the plug-in's properties by right-clicking its name in the left panel of Outpost Firewall's main window.

Related Topics

Viewing The Attachment Quarantine Log

Creating new rules for incoming attachments

Removing a rule for incoming attachments


Removing a Rule for Incoming Attachments

To remove a rule for incoming attachments:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Attachment Quarantine

  4. Click Settings

  5. Highlight the rule you want to remove

  6. Press Remove

  7. Press OK.

Note

You can quickly access the plug-in's properties by right-clicking its name in the left panel of Outpost Firewall's main window.

Related Topics

Viewing the Attachment Quarantine Log

Creating new rules for incoming attachments

Modifying Attachment Quarantine Rules


Resetting Attachment Filter Rules

To reset rules for incoming attachments to the default rules:

  1. Select Options

  2. Select Plug-Ins

  3. Highlight Attachment Quarantine

  4. Click Settings

  5. Click Default

  6. Click OK.

Note

You can quickly access the plug-in's properties by right-clicking its name in the left panel of Outpost Firewall's main window.

Related Topics

Viewing the Attachment Quarantine Log

Creating new rules for incoming attachments

Modifying Attachment Quarantine Rules

Removing a rule for incoming attachments


.topic 0x808b0001
Applies and saves any changes you have made, and then closes this dialog box.

.topic 0x808b0002
The Cancel button closes this dialog box without saving any changes you have made. The Close button closes this dialog box and retains the changes you made.

.IDD_CONDITION (2) ********************************************************************************

.topic 0x808903fe
Event matchs all of the criteria.

.topic 0x808903ff
Event matchs any one of the criteria.

.IDD_FILE_TYPE (2) ********************************************************************************

.topic 0x80BC03F0
An input field used to enter a description (extension) for a new file type.

.topic 0x040
An input field used to enter a new file type.

.IDD_PAGE_EMAILGUARD (6) **************************************************************************

.topic 0x047
Resets the list of file types and actions to the default settings given by our engineers.

.topic 0x043
A list of possible actions for a highlighted file type. A checkmark means the action is to be performed.

.topic 0x044
Description of the action that is to be performed.

.topic 0x042
A list of file types.

.topic 0x045
Adds the rule you just created regarding the specified attachment types.

.topic 0x046
Removes a highlighted file type from the list.